#!/usr/bin/env tclsh8.4

package require tcap

# open a live pcap interface. 
tcap open fxp0 0 1500

# you can also open a file (in this case file.pcap):
# tcap open file.pcap 0 1500

# tcap dloff returns the offset in bytes needed to jump past the datalink
# header (layer 2 header, ie the ethernet headers)
puts [tcap dloff]

# tcap filter applies a pcap(3) BPF filter to the filter
tcap filter "tcp"
while {1} {

	# tcap get returns the next packet as a list of bytes
	set g [tcap get]
	if {[llength [split $g]] > 0} {
		puts "$g"
	}
}

# when you're done you can close the pcap interface
tcap close
